Bug 1330515 - Traceback on the terminal when used CTRL+C to kill the subscription-manager-gui application
Summary: Traceback on the terminal when used CTRL+C to kill the subscription-manager-g...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.2
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: rc
: ---
Assignee: Chris Snyder
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-26 11:56 UTC by Rehana
Modified: 2016-11-03 20:28 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:28:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github RedHatQE rhsm-qe pull 605 None None None 2016-09-27 11:18:34 UTC
Github candlepin subscription-manager pull 1479 None None None 2016-09-06 14:38:25 UTC
Red Hat Product Errata RHSA-2016:2592 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2016-11-03 12:10:42 UTC

Description Rehana 2016-04-26 11:56:37 UTC
Description of problem:


Version-Release number of selected component (if applicable):
subscription-manager: 1.17.5-1.git.0.9f499d8.el7
python-rhsm: 1.17.1-1.git.1.323232f.el7


How reproducible:
3/3

Steps to Reproduce:
1.Launch subscription-manager-gui from terminal
2.Once the GUI is running, Press CTRL+C on the terminal
3.

Actual results:
Observed a traceback on the terminal 
# subscription-manager-gui
^C

# Traceback (most recent call last):
  File "/usr/share/rhsm/subscription_manager/gui/managergui.py", line 275, in _on_cert_check_timer
    def _on_cert_check_timer(self):
KeyboardInterrupt

Expected results:
No Traceback

Additional info:
This appears to be a regression , as this is (CTRL+C to kill subscription-manager GUI application from terminal ) is working fine on rhel72 having the packages:
subscription-manager: 1.15.9-15.el7
python-rhsm: 1.15.4-5.el7

Comment 2 Chris Snyder 2016-06-15 18:23:14 UTC
I do not believe this is a regression as it appears for me on RHEL 7.2 using the versions listed in the original report.

The locations of the file where the traceback occurs has changed but aside from that the traceback I get from the older and the newer versions of subscription-manager are identical.


Note: This is still definitely a bug, but I'm suggesting that we remove the Regression keyword.

Rehana can you please retest this using the old version of subscription-manager on RHEL 7.2.

It took a few seconds after running the subscription-manager-gui command to trigger the traceback on CTRL+C (if I pressed CTRL+C quickly after launch I did not see the traceback on either version of subman).


Thanks!

Comment 3 Rehana 2016-06-16 10:51:48 UTC
(In reply to Chris Snyder from comment #2)
> I do not believe this is a regression as it appears for me on RHEL 7.2 using
> the versions listed in the original report.
> 
> The locations of the file where the traceback occurs has changed but aside
> from that the traceback I get from the older and the newer versions of
> subscription-manager are identical.
> 
> 
> Note: This is still definitely a bug, but I'm suggesting that we remove the
> Regression keyword.
> 
> Rehana can you please retest this using the old version of
> subscription-manager on RHEL 7.2.
> 
> It took a few seconds after running the subscription-manager-gui command to
> trigger the traceback on CTRL+C (if I pressed CTRL+C quickly after launch I
> did not see the traceback on either version of subman).
> 
> 
> Thanks!

Thanks Chris for the details, Retested on rhel72 machine and i can reproduce the failure in RHEL72 (few seconds after running the subscription-manager-gui) . I agree with your observations and the keyword "Regression" can be removed

thanks,
Rehana

Comment 4 John Sefler 2016-09-06 15:55:32 UTC
This was actually a regression between RHEL71 and RHEL72.

It worked here on RHEL71....

[root@jsefler-rhel7 ~]# rpm -q subscription-manager-gui
subscription-manager-gui-1.13.22-1.el7.x86_64
[root@jsefler-rhel7 ~]# subscription-manager-gui 
^C
User interrupted process.
[root@jsefler-rhel7 ~]# 

and started failing here on RHEL72...

[root@jsefler-rhel7 ~]# rpm -q subscription-manager-gui 
subscription-manager-gui-1.15.9-15.el7.x86_64
[root@jsefler-rhel7 ~]# subscription-manager-gui 

** (subscription-manager-gui:6975): WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-WxTh6RPGpA: Connection refused
^CTraceback (most recent call last):
  File "/usr/share/rhsm/subscription_manager/gui/managergui.py", line 267, in _on_cert_check_timer
    def _on_cert_check_timer(self):
KeyboardInterrupt

Comment 6 Rehana 2016-09-08 06:48:39 UTC
Retested on ,

subscription-manager-1.17.14-1.el7.x86_64
subscription-manager-gui-1.17.14-1.el7.x86_64
subscription-manager-migration-data-2.0.31-1.el7.noarch
subscription-manager-migration-1.17.14-1.el7.x86_64
subscription-manager-initial-setup-addon-1.17.14-1.el7.x86_64
python-rhsm-certificates-1.17.9-1.el7.x86_64
python-rhsm-1.17.9-1.el7.x86_64


No Trace back is seen on the terminal after using CTRL + C on the terminal. subscription-manager  GUI application was closed.  No errors seen in rhsm.log

[root@localhost ~]# subscription-manager-gui 
^C
[root@localhost ~]# 


marking as Verified!!

Comment 7 Jan Stavel 2016-09-27 11:18:35 UTC
I have written a test for this behaviour. Everything works. Thanks!

Comment 9 errata-xmlrpc 2016-11-03 20:28:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2592.html


Note You need to log in before you can comment on or make changes to this bug.